Subject: Re: linux-next: Tree for July 29

From: Greg KH <[email-masked]>
Date: Tue, 29 Jul 2008 21:48:34 -0700

On Tue, Jul 29, 2008 at 09:49:24PM +0100, Hugh Dickins wrote:
> On Tue, 29 Jul 2008, Greg KH wrote:
> > On Tue, Jul 29, 2008 at 06:25:14PM +0200, Bartlomiej Zolnierkiewicz wrote:
> > > On Tuesday 29 July 2008, Stephen Rothwell wrote:
> > > > 
> > > > Changes since next-20080728:
> > > 
> > > I keep reverting commit 0e3638d1e04040121af00195f7e4628078246489 ("warn
> > > when statically-allocated kobjects are used") with each linux-next release
> > > to make it work on my x86_32 laptop (http://lkml.org/lkml/2008/7/19/114).
> > > 
> > > Depending on the day I either forget to revert it on a first try or (lead by
> > > incurable optimism) I don't try to revert it in hope that it was fixed.
> > > 
> > > Unfortunately the result is always the same cursing-during-qemu-test-run
> > > -> git-revert -> recompile cycle and a needless time loss.
> > > 
> > > Could we have some action taken please?
> > 
> > What is the problem with this patch that has caused it to suddenly
> > keeping the boot from working?  Is the code in the patch warning you of
> > objects that are not properly being initialized?
> > 
> > I'll be glad to fix this if possible.
> 
> Isn't this the opposite end of the same problem for which Bernhard
> has been repeatedly trying to find a taker for his patch:
> 
> http://article.gmane.org/gmane.linux.kernel.kexec/1882

Yes.  It's not the kobject patch at fault here, it's the use of kobjects
so early in the boot process.  That needs to be fixed.

thanks,

greg k-h